- platform: template
  switches:

    harmony_music_bt:
      value_template: "{{ is_state_attr('remote.livingroom_harmony', 'current_activity', 'Musik Bluetooth') }}"
      turn_on:
        service: remote.turn_on
        data:
          entity_id: remote.livingroom_harmony
          activity: 'Musik Bluetooth'
      turn_off:
        service: remote.turn_on
        data:
          entity_id: remote.livingroom_harmony
          activity: 'PowerOff'

    harmony_firetv:
      value_template: "{{ is_state_attr('remote.livingroom_harmony', 'current_activity', 'Fire TV sehen') }}"
      turn_on:
        service: remote.turn_on
        data:
          entity_id: remote.livingroom_harmony
          activity: 'Fire TV sehen'
      turn_off:
        service: remote.turn_on
        data:
          entity_id: remote.livingroom_harmony
          activity: 'PowerOff'

    harmony_steamlink:
      value_template: "{{ is_state_attr('remote.livingroom_harmony', 'current_activity', 'SteamLink') }}"
      turn_on:
        service: remote.turn_on
        data:
          entity_id: remote.livingroom_harmony
          activity: 'SteamLink'
      turn_off:
        service: remote.turn_on
        data:
          entity_id: remote.livingroom_harmony
          activity: 'PowerOff'

    harmony_playstation:
      value_template: "{{ is_state_attr('remote.livingroom_harmony', 'current_activity', 'PlayStation') }}"
      turn_on:
        service: remote.send_command
        data:
          entity_id: remote.livingroom_harmony
          activity: 'PlayStation'
      turn_off:
        service: remote.send_command
        data:
          entity_id: remote.livingroom_harmony
          activity: 'PowerOff'

    harmony_denon_power:
      friendly_name: Denon Power
      value_template: "{{ state_attr('remote.livingroom_harmony', 'current_activity') != 'PowerOff' }}"
      turn_on:
        service: script.harmony_denon_power
      turn_off:
        service: script.harmony_denon_power

    harmony_denon_mute:
      friendly_name: Denon Stumm
      value_template: "{{ state_attr('remote.livingroom_harmony', 'current_activity') != 'PowerOff' }}"
      turn_on:
      turn_off:
        service: script.harmony_denon_mute

    harmony_volume_up:
      friendly_name: Denon Lauter
      value_template: "{{ state_attr('remote.livingroom_harmony', 'current_activity') != 'PowerOff' }}"
      turn_on:
      turn_off:
        service: script.harmony_volume_up

    harmony_volume_down:
      friendly_name: Denon Leiser
      value_template: "{{ state_attr('remote.livingroom_harmony', 'current_activity') != 'PowerOff' }}"
      turn_on:
      turn_off:
        service: script.harmony_volume_down

    livingroom_music:
      value_template: "{{ is_state_attr('remote.livingroom_harmony', 'current_activity', 'Musik Bluetooth') }}"
      turn_on:
        service: script.livingroom_music_on
      turn_off:
        service: script.livingroom_music_off

    livingroom_netflix:
      value_template: "{{ is_state_attr('remote.livingroom_harmony', 'current_activity', 'Fire TV sehen') }}"
      turn_on:
        service: script.livingroom_netflix_on
      turn_off:
        service: remote.turn_on
        data:
          entity_id: remote.livingroom_harmony
          activity: 'PowerOff'